<?php
	
	$this->addCSS('templates/default/css/social_lock.css');
	$this->addJS('templates/default/js/social_lock.min.js');
	
	if($widget->options['big_text']){
		$big_text = $widget->options['big_text'];
	}else{
		$big_text = LANG_SOCIALLOCK_BIG_TEXT_DEFAULT;
	}
	
	if($widget->options['small_text']){
		$small_text = $widget->options['small_text'];
	}else{
		$small_text = LANG_SOCIALLOCK_SMALL_TEXT_DEFAULT;
	}
	
	if(!empty($widget->options['coverage'])){
		$coverage = $widget->options['coverage'];
	}else{
		$coverage = "site";
	}
	
	if($widget->options['time_trigShare']){
		$time_trigShare = $widget->options['time_trigShare'];
	}else{
		$time_trigShare = '2592000';
	}
	
	if($widget->options['show_timer']){
		$show_timer = true;
	}else{
		$show_timer = false;
	}
	
	if($widget->options['time_timer']){
		$time_timer = $widget->options['time_timer'];
	}else{
		$time_timer = '60';
	}
	
	if($widget->options['time_trigTimer']){
		$time_trigTimer = $widget->options['time_trigTimer'];
	}else{
		$time_trigTimer = '604800';
	}
	
?>

<script type="text/javascript">
"use strict";
(window.plusonet = window.plusonet || []).push(function(){
	plusonet.sl.name = "universal-6";
	plusonet.sl.coverage = "<?php echo $coverage; ?>";
	// Сколько времени не будет появляться социальный замок
	//plusonet.sl.time.trigShare = <?php echo $time_trigShare; ?>;
	plusonet.sl.time.trigShare = 1;
	// Сколько времени не будет появляться социальный замок после окончания таймера
	//plusonet.sl.time.trigTimer = <?php echo $time_trigTimer ?>;
	plusonet.sl.time.trigTimer = 1;
	// Сколько времени не будет появляться социальный замок после закрытия на крестик (у нас не используется)
	plusonet.sl.time.trigCross = 86400 * 1;
	// Код, который вызывается после успешного расшаривания
	plusonet.sl.callback = "";
	plusonet.sl.html = "<div class=\"plusonet-tpl-sl-universal-6 plusonet-css-global\"><div class=\"plusonet-modal\"><div class=\"plusonet-img\"></div><div class=\"plusonet-text\"><div class=\"plusonet-header\"><?php echo $big_text; ?></div><div class=\"plusonet-paragraph\"><?php echo $small_text; ?></div><?php if($show_timer){ ?><div class=\"plusonet-plgn-timer1\">Социальный замок откроется через <span class=\"plusonet-\"><?php echo $time_timer; ?></span> секунд.</div><?php } ?></div><div class=\"plusonet-generator-sb\"><style>.plusonet-btn-square-1-r40 { display: inline-block; font-size: 0; } .plusonet-btn-square-1-r40 .plusonet-social-elem { display: inline-block; margin: 2px; } .plusonet-btn-square-1-r40 .plusonet-social-url { cursor: pointer; } .plusonet-btn-square-1-r40 .plusonet-ico { position: relative; width: 40px; height: 40px; border: 1px solid #392d22; border-radius: 4%; background: linear-gradient(to top, #D4D4D4, #F7F7F7); } .plusonet-btn-square-1-r40 .plusonet-box { position: absolute; top: 21%; left: 30%; right: 25%; bottom: 21%; } .plusonet-btn-square-1-r40 .plusonet-ok .plusonet-box { top: 25%; bottom: 25%; } .plusonet-btn-square-1-r40 .left-border { position: absolute; width: 12%; top: 0; left: 0; bottom: 0; border-radius: 2% 0 0 2%; } .plusonet-btn-square-1-r40 .plusonet-svg { fill: #313131; width: 100%; height: 100%; } .plusonet-btn-square-1-r40 .plusonet-vk .left-border { background: linear-gradient(to top, #152E48, #4eacff ); } .plusonet-btn-square-1-r40 .plusonet-ok .left-border { background: linear-gradient(to top, #c42e01, #fe8805 ); } .plusonet-btn-square-1-r40 .plusonet-fb .left-border { background: linear-gradient(to top, #001482, #4eacff ); } .plusonet-btn-square-1-r40 .plusonet-tw .left-border { background: linear-gradient(to top, #006af2, #4eacff ); } .plusonet-btn-square-1-r40 .plusonet-gp .left-border { background: linear-gradient(to top, #96273f, #ff92a9 ); } .plusonet-btn-square-1-r40 .plusonet-yt .left-border { background: linear-gradient(to top, #bf171d, #e52d27 ); } .plusonet-btn-square-1-r40 .plusonet-mm .left-border { background: linear-gradient(to top, #e7c133, #ffdb50 ); }</style><div class=\"plusonet-btn-square-1-r40\"><div class=\"plusonet-social-elem plusonet-vk\" data-elem=\"btn\" data-network=\"vk\" data-action=\"share\"><div class=\"plusonet-social-url\"><div class=\"plusonet-ico\"><div class=\"left-border\"></div><div class=\"plusonet-box\"><svg class=\"plusonet-svg\" viewBox=\"-90 213.9 415 415\"><path d=\"M-44.8,213.9h188.5c62,0,114.8,30.4,114.7,91.8c0,51.3-18.6,71.2-56.8,93.8c3.3,2.7,25.1,9.2,32.5,12.8 c11.8,5.8,18.7,11.7,26.4,19.5c21.6,22,25.7,42.1,25.7,76.7c0,80.1-77.5,120.4-152.1,120.4H-45.6L-44.8,213.9L-44.8,213.9z M57.6,322.9l0,53.9c48.5,0,94.2,6.4,94.2-46.2c0-48.7-51.6-40.7-94.2-40.7L57.6,322.9L57.6,322.9z M57.6,552.5 c53.2,0,118.9,8.8,120.1-51.6c1.2-63-67.5-51.6-120-51.6L57.6,552.5z\"></path></svg></div></div></div></div><div class=\"plusonet-none\"></div><div class=\"plusonet-social-elem plusonet-ok\" data-elem=\"btn\" data-network=\"ok\" data-action=\"share\"><div class=\"plusonet-social-url\"><div class=\"plusonet-ico\"><div class=\"left-border\"></div><div class=\"plusonet-box\"><svg class=\"plusonet-svg\" viewBox=\"-8 -150 579 1100\"><path d=\"M281.6-80.1C139.3-80.1,23.5,35.7,23.5,178c0,142.3,115.8,258,258.1,258c142.3,0,258.1-115.7,258.1-258 C539.7,35.7,424-80.1,281.6-80.1z M281.6,71.1c58.9,0,106.8,48,106.8,106.9c0,58.9-47.9,106.8-106.8,106.8 c-58.9,0-106.9-47.9-106.9-106.8C174.8,119.1,222.7,71.1,281.6,71.1z M68.8,444.8c-25.5-0.4-50.7,12.2-65.2,35.4 c-22.3,35.4-11.6,82,23.7,104.3c46.7,29.3,97.3,50.1,149.8,62L32.9,790.8c-29.5,29.5-29.5,77.4,0,106.9 c14.8,14.7,34.1,22.1,53.5,22.1c19.3,0,38.7-7.4,53.5-22.2L281.6,756l141.8,141.8c29.5,29.5,77.3,29.5,106.9,0 c29.5-29.5,29.5-77.4,0-106.9L386,646.5c52.5-12,103.2-32.8,149.8-62.1c35.4-22.2,46-69,23.8-104.3c-22.3-35.4-68.9-46-104.3-23.8 c-105.7,66.5-241.8,66.4-347.5,0C95.7,448.8,82.2,445,68.8,444.8L68.8,444.8z\"></path></svg></div></div></div></div><div class=\"plusonet-none\"></div><div class=\"plusonet-social-elem plusonet-fb\" data-elem=\"btn\" data-network=\"fb\" data-action=\"share\"><div class=\"plusonet-social-url\"><div class=\"plusonet-ico\"><div class=\"left-border\"></div><div class=\"plusonet-box\"><svg class=\"plusonet-svg\" viewBox=\"-269 392.2 56.7 56.7\"><path d=\"M-227.5,410.6h-9v-5.9c0-2.2,1.5-2.7,2.5-2.7c1,0,6.3,0,6.3,0v-9.7l-8.7,0c-9.7,0-11.9,7.2-11.9,11.9v6.5h-5.6v10h5.6 c0,12.8,0,28.3,0,28.3h11.8c0,0,0-15.6,0-28.3h7.9L-227.5,410.6z\"></path></svg></div></div></div></div><div class=\"plusonet-none\"></div><div class=\"plusonet-social-elem plusonet-tw\" data-elem=\"btn\" data-network=\"tw\" data-action=\"share\"><div class=\"plusonet-social-url\"><div class=\"plusonet-ico\"><div class=\"left-border\"></div><div class=\"plusonet-box\"><svg class=\"plusonet-svg\" viewBox=\"-269 392.2 56.7 56.7\"><path d=\"M-212.3,403c-2.1,0.9-4.3,1.6-6.7,1.8c2.4-1.4,4.2-3.7,5.1-6.4c-2.2,1.3-4.7,2.3-7.4,2.8c-2.1-2.3-5.1-3.7-8.5-3.7 c-6.4,0-11.6,5.2-11.6,11.6c0,0.9,0.1,1.8,0.3,2.7c-9.7-0.5-18.2-5.1-24-12.2c-1,1.7-1.6,3.7-1.6,5.8c0,4,2.1,7.6,5.2,9.7 c-1.9-0.1-3.7-0.6-5.3-1.5c0,0,0,0.1,0,0.1c0,5.6,4,10.3,9.3,11.4c-1,0.3-2,0.4-3.1,0.4c-0.8,0-1.5-0.1-2.2-0.2 c1.5,4.6,5.8,8,10.9,8.1c-4,3.1-9,5-14.4,5c-0.9,0-1.9-0.1-2.8-0.2c5.1,3.3,11.3,5.2,17.8,5.2c21.4,0,33.1-17.7,33.1-33.1 c0-0.5,0-1,0-1.5C-215.8,407.3-213.9,405.3-212.3,403z\"></path></svg></div></div></div></div><div class=\"plusonet-none\"></div><div class=\"plusonet-social-elem plusonet-gp\" data-elem=\"btn\" data-network=\"gp\" data-action=\"share\"><div class=\"plusonet-social-url\"><div class=\"plusonet-ico\"><div class=\"left-border\"></div><div class=\"plusonet-box\"><svg class=\"plusonet-svg\" viewBox=\"0 0 32 32\"><path d=\"M19.81,0.76c0,0-6.997,0-9.393,0c-4.297,0-8.343,3.016-8.343,6.786c0,3.852,2.929,6.848,7.301,6.848 c0.305,0,0.6-0.069,0.89-0.09c-0.286,0.541-0.485,1.123-0.485,1.758c0,1.071,0.574,1.926,1.301,2.635 c-0.546,0-1.08,0.008-1.661,0.008C4.098,18.706,0,22.094,0,25.609c0,3.462,4.492,5.63,9.815,5.63c6.069,0,9.422-3.447,9.422-6.909 c0-2.775-0.82-4.439-3.351-6.234c-0.867-0.611-2.523-2.103-2.523-2.981c0-1.027,0.293-1.533,1.841-2.743 c1.583-1.237,2.706-2.714,2.706-4.741c0-2.409-1.036-5.349-3.052-5.349h3.429L19.81,0.76z M16.657,23.73 c0.073,0.323,0.117,0.654,0.117,0.989c0,2.798-1.806,4.984-6.979,4.984c-3.68,0-6.336-2.328-6.336-5.126 c0-2.741,3.296-5.026,6.978-4.984c0.856,0.009,1.658,0.148,2.383,0.379C14.818,21.364,16.25,22.149,16.657,23.73z M10.763,13.294 c-2.47-0.072-4.818-2.763-5.243-6.004c-0.425-3.246,1.231-5.728,3.7-5.655c2.469,0.076,4.818,2.679,5.243,5.922 C14.889,10.799,13.233,13.367,10.763,13.294z\"></path><polygon points=\"27.429,12.94 27.429,8.369 24.381,8.369 24.381,12.94 19.81,12.94 19.81,15.988 24.381,15.988 24.381,20.559 27.429,20.559 27.429,15.988 32,15.988 32,12.94 \"></polygon></svg></div></div></div></div><div class=\"plusonet-none\"></div><div class=\"plusonet-social-elem plusonet-mm\" data-elem=\"btn\" data-network=\"mm\" data-action=\"share\"><div class=\"plusonet-social-url\"><div class=\"plusonet-ico\"><div class=\"left-border\"></div><div class=\"plusonet-box\"><svg class=\"plusonet-svg\" viewBox=\"0 0 96.311 100.241\"><path d=\"M93.136,24.456c-2.116-4.937-5.129-9.22-9.038-12.848c-3.91-3.628-8.616-6.469-14.117-8.525 C64.479,1.028,58.322,0,51.511,0c-4.918,0-9.604,0.615-14.057,1.844C33,3.074,28.869,4.817,25.06,7.074 c-3.809,2.258-7.265,4.988-10.369,8.192c-3.104,3.204-5.744,6.782-7.92,10.731c-2.177,3.951-3.85,8.233-5.018,12.847 C0.584,43.461,0,48.287,0,53.325c0,7.337,1.199,13.906,3.597,19.71c2.397,5.804,5.865,10.722,10.399,14.752 c4.534,4.03,10.056,7.113,16.566,9.25c6.509,2.135,13.895,3.204,22.158,3.204c4.716,0,9.039-0.354,12.968-1.058 c3.93-0.705,7.789-1.865,11.578-3.476l-3.083-7.436c-3.023,1.289-6.309,2.267-9.855,2.932c-3.547,0.665-7.457,0.998-11.729,0.998 c-6.933,0-13.13-0.867-18.591-2.6c-5.462-1.734-10.087-4.263-13.875-7.588c-3.789-3.325-6.691-7.395-8.706-12.212 c-2.016-4.816-3.023-10.308-3.023-16.475c0-6.327,1.067-12.232,3.204-17.714c2.136-5.481,5.109-10.257,8.918-14.329 c3.809-4.07,8.353-7.275,13.633-9.613c5.28-2.337,11.064-3.507,17.352-3.507c5.239,0,10.086,0.816,14.54,2.448 c4.453,1.632,8.283,3.89,11.487,6.771c3.204,2.882,5.714,6.298,7.528,10.248c1.814,3.951,2.721,8.263,2.721,12.938 c0,4.474-0.535,8.494-1.603,12.061c-1.068,3.567-2.509,6.581-4.322,9.039c-1.814,2.459-3.93,4.344-6.348,5.653 c-2.418,1.31-4.978,1.965-7.678,1.965c-1.17,0-2.016-0.322-2.539-0.967c-0.524-0.644-0.786-1.551-0.786-2.721 c0-0.927,0.13-2.045,0.393-3.355c0.262-1.309,0.574-3.028,0.937-4.761l7.799-34.9h-9.613l-1.149,5.155 c-1.935-2.095-4.132-3.59-6.59-4.678c-2.459-1.088-5.341-1.583-8.646-1.583c-3.748,0-7.296,0.912-10.641,2.685 c-3.346,1.774-6.278,4.235-8.797,7.358c-2.52,3.124-4.504,6.829-5.955,11.1c-1.451,4.273-2.177,8.911-2.177,13.909 c0,3.386,0.463,6.401,1.391,9.04c0.927,2.64,2.216,4.878,3.869,6.712c1.652,1.835,3.637,3.226,5.955,4.172 c2.317,0.948,4.846,1.421,7.587,1.421c3.224,0,6.288-0.745,9.19-2.237c2.902-1.49,5.502-3.607,7.799-6.348 c0.121,1.209,0.463,2.338,1.028,3.386c0.564,1.049,1.32,1.956,2.267,2.721c0.946,0.766,2.045,1.371,3.295,1.814 c1.249,0.444,2.6,0.665,4.051,0.665c4.272,0,8.232-0.846,11.88-2.539c3.648-1.693,6.802-4.141,9.462-7.346 c2.66-3.204,4.735-7.124,6.227-11.759c1.491-4.634,2.237-9.894,2.237-15.78C96.311,34.724,95.252,29.394,93.136,24.456z M56.831,53.325c-0.565,2.459-1.371,4.666-2.418,6.62c-1.049,1.956-2.267,3.628-3.658,5.018c-1.391,1.391-2.932,2.459-4.625,3.204 c-1.693,0.746-3.446,1.118-5.26,1.118c-6.933,0-10.399-4.373-10.399-13.12c0-3.587,0.473-6.972,1.421-10.157 c0.946-3.183,2.207-5.964,3.779-8.343c1.572-2.378,3.395-4.262,5.471-5.653c2.075-1.39,4.241-2.086,6.499-2.086 c3.062,0,5.662,0.565,7.799,1.693c2.136,1.129,3.909,2.5,5.32,4.111L56.831,53.325z\"></path></svg></div></div></div></div><div class=\"plusonet-none\"></div></div></div></div></div>";
	setTimeout(function(){
		plusonet.sl.run();
	}, 10);
});
</script>